# This file was auto-generated by ZETUP
#
# Zimmermann's Extensible Tools for Unified Project setups
#
# https://github.com/zimmermanncode/zetup


from __future__ import absolute_import

import sys
import os
from collections import OrderedDict

from zetup.version import Version
from zetup.dist import Distribution
from zetup.requires import Requirements
from zetup.extras import Extras
from zetup.package import Packages, Package
from zetup.notebook import Notebook



zfg = sys.modules[__name__]

NAME = 'jinjatools'

LICENSE = 'LGPLv3'

TITLE = 'jinjatools'

PYTHON = ['2.7', '3.5', '3.6', '3.7']

MODULES = []

FORCE_MAKE = True

KEYWORDS = ['jinja', 'jinja2', 'tools', 'template', 'macro', 'filter', 'test', 'moretools', 'scons', 'builder', 'build', 'django', 'web', 'html', 'python3']

PACKAGES = Packages([

Package('jinjatools',
  sources=[
    'filters.py',
    'ext.py',
    'env.py',
    '__init__.py',
    'conftest.py'
    ],
  subpackages=[
    
Package('jinjatools.django',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('jinjatools.scons',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )

    ],
  )

  ], root=os.path.dirname(os.path.dirname(os.path.realpath(__file__))))

EMAIL = 'user@zimmermann.co'

AUTHOR = 'Stefan Zimmermann'

EXTRAS = Extras([
('django', Requirements("""
#py2 Django ~= 1.11.3 #import django
#py3 Django >= 2.2.1 #import django

"""))
], zfg=zfg)

REQUIRES = Requirements("""
Jinja2 >= 2.10.1 #import jinja2
moretools >= 0.1.12
#py2 path.py ~= 11.5.0 #import path
#py3 path.py >= 11.5.0 #import path
six >= 1.12.0
zetup >= 0.2.60

""", zfg=zfg)

URL = 'http://github.com/zimmermanncode/jinjatools'

SETUP_HOOKS = []

VERSION = Version('0.1.11.dev5')

KEEP_MADE = ['setup.py']

NO_MAKE = ['tox.ini']

TEST_COMMANDS = ['py.test -v test']

DESCRIPTION = 'Various tools for Jinja2, including new filters and tests based on moretools, a JinjaLoader class for Django, and a simple JinjaBuilder class for SCons.'

SETUP_REQUIRES = Requirements("""

zetup[commands]
""", zfg=zfg)

in_repo = True

SCRIPTS = None

SETUP_KEYWORDS = None

DISTRIBUTION = Distribution(zfg)

CLASSIFIERS = ['Development Status :: 3 - Alpha', 'Intended Audience :: Developers', 'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)', 'Operating System :: OS Independent', 'Topic :: Software Development', 'Topic :: Utilities', 'Programming Language :: Python', 'Programming Language :: Python :: 2', 'Programming Language :: Python :: 2.7', 'Programming Language :: Python :: 3', 'Programming Language :: Python :: 3.5', 'Programming Language :: Python :: 3.6', 'Programming Language :: Python :: 3.7']